#### Previous topic

scipy.interpolate.spline

#### Next topic

scipy.interpolate.spltopp

# scipy.interpolate.splmake

`scipy.interpolate.``splmake`(*args, **kwds)

  `splmake` is deprecated! splmake is deprecated in scipy 0.19.0, use make_interp_spline instead.

  > Return a representation of a spline given data-points at internal knots

  Parameters:

  xk : array_like

  > > The input array of x values of rank 1

  > yk : array_like

  >   The input array of y values of rank N. yk can be an N-d array to represent more than one curve, through the same xk points. The first dimension is assumed to be the interpolating dimension and is the same length of xk.

  > order : int, optional

  >   Order of the spline

  > kind : str, optional

  >   Can be ‘smoothest’, ‘not_a_knot’, ‘fixed’, ‘clamped’, ‘natural’, ‘periodic’, ‘symmetric’, ‘user’, ‘mixed’ and it is ignored if order < 2

  > conds : optional

  >   Conds

  Returns:

  splmake : tuple

  > Return a (xk, cvals, k) representation of a spline given data-points where the (internal) knots are at the data-points.